Subject: Running ./configure from `guix shell -D guix --pure` errors

From: Katherine Cox-Buday <[email-masked]>
Date: Fri, 26 Aug 2022 11:32:31 -0600

It gives me this error: configure: error: C++ compiler 'g++' does not
support the C++11 standard

I have to run `guix shell -D guix [email-masked] --pure` to get
./configure to work.

Since `guix shell -D` includes the development packages for Guix,
maybe the package needs updating?